(defun c:dfp ( / p1 p2 p3 poly el)
(setvar "filletrad" (getdist "\nEnter fillet radius"))
(setq p1 (getpoint "\nStartpoint polyline ")
p2 (getpoint p1 "\nNext point"))
(command ".pline" p1 p2 "")(setq poly (entlast))
(while (setq p3 (getpoint p2 "\nNext point"))
(command ".pline" p2 p3 "")(setq el (entlast))
(command ".pedit" (eval el) "j" (eval poly) "" "")
(command "fillet" "p" (eval el))
(setq poly el p2 p3))
)
祝你好运
gr.R。 谢谢谢谢,与上面的链接相同
它工作得很好。 rlx是做普林的更好方法,这是这里其他人的建议。
(setvar "filletrad" (getdist "\nEnter fillet radius"))
; create pline by picking points press enter when finished
(command "_pline")
(while (= (getvar "cmdactive") 1 ) (command pause)
)
(command "fillet" "p" (entlast))
我同意BigAl,但我只是想展示一种方式,你可以立即看到圆角,如链接中所示。net示例。选择权属于他。
gr.R 别担心
页:
1
[2]